Confirm transaction
PUT https://wallet.paysera.com/rest/v1/transaction/{transactionKey}/confirm
Confirm reserved transaction. Can optionally reduce payment amounts.
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, see the Authentication section.
Parameters​
Path Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
transactionKey | string | ✓ | Transaction key |
Request Body​
The request body is optional. If passed, it must be an object keyed by payment ID, and the price of each specified payment will be updated to the given amount.
Example​
Request​
PUT https://wallet.paysera.com/rest/v1/transaction/{transactionKey}/confirm
Content-Type: application/json
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
{
"2987": {
"price": 1,
"currency": "EUR"
}
}
Response​
{
"transaction_key": "rN8kTqXz",
"created_at": 1355314332,
"status": "confirmed",
"type": "automatic",
"wallet": 45123,
"valid_for_payment_card_debit": false,
"reserve": {
"until": 1355400732,
"for": 86400
},
"confirmed_at": 1355314500,
"auto_confirm": false,
"project_id": 1234,
"payments": [
{
"id": 2987,
"transaction_key": "rN8kTqXz",
"created_at": 1355314332,
"status": "confirmed",
"cancelable": false,
"price": 1,
"currency": "EUR",
"price_decimal": "0.01",
"wallet": 45123,
"confirmed_at": 1355314500,
"freeze": {
"until": 1355318100
},
"freeze_until": 1355318100,
"description": "Payment for order No. 1234",
"parameters": {
"orderid": 1234
},
"transfer_id": 84532,
"beneficiary": {
"id": 60123,
"email": "john@example.com"
}
}
],
"inquiries": []
}
AUTHORIZATION: HTTP
REQUEST
Base URL
https://wallet.paysera.com
Body REQUIRED
{
"2987": {
"price": 1,
"currency": "EUR"
}
}
RESPONSE
Transaction confirmed
{
"transaction_key": "rN8kTqXz",
"created_at": 1355314332,
"status": "confirmed",
"type": "automatic",
"wallet": 45123,
"valid_for_payment_card_debit": false,
"reserve": {
"until": 1355400732,
"for": 86400
},
"confirmed_at": 1355314500,
"auto_confirm": false,
"project_id": 1234,
"payments": [
{
"id": 2987,
"transaction_key": "rN8kTqXz",
"created_at": 1355314332,
"status": "confirmed",
"cancelable": false,
"price": 1,
"currency": "EUR",
"price_decimal": "0.01",
"wallet": 45123,
"confirmed_at": 1355314500,
"freeze": {
"until": 1355318100
},
"freeze_until": 1355318100,
"description": "Payment for order No. 1234",
"parameters": {
"orderid": 1234
},
"transfer_id": 84532,
"beneficiary": {
"id": 60123,
"email": "john@example.com"
}
}
],
"inquiries": []
}